<main data-component="pss">
  <form [formGroup]="pssForm">
    <div class="grid-container">
      <div class="grid-item">
        <mat-form-field
          floatLabel="always">
          <mat-label>Pulse Period</mat-label>
          <input
            matInput
            placeholder="Enter value..."
            formControlName="pulsePeriod"
            title="Pulse period"
            (ngModelChange)="pulseParamChange()"
            required>
          <span matSuffix class="mat-form-field-suffix">ms</span>
          <mat-error>
              {{ getErrorMessage(pulsePeriod) }}
          </mat-error>
        </mat-form-field>

        <mat-form-field
          floatLabel="always">
          <mat-label>Intrinsic Pulse Width</mat-label>
          <input
            matInput
            placeholder="Enter value..."
            formControlName="intrinsicPulseWidth"
            title="Intrinsic pulse width"
            (ngModelChange)="pulseParamChange()"
            required>
          <span matSuffix class="mat-form-field-suffix">ms</span>
          <mat-error>
              {{ getErrorMessage(intrinsicPulseWidth) }}
          </mat-error>
        </mat-form-field>

        <mat-form-field
          floatLabel="always">
          <mat-label>Integration Time</mat-label>
          <input
            matInput
            placeholder="Enter value..."
            formControlName="integrationTime"
            title="On-source integration time"
            (ngModelChange)="paramChange()"
            required>
          <span matSuffix class="mat-form-field-suffix">hours</span>
          <mat-error>
              {{ getErrorMessage(integrationTime) }}
          </mat-error>
        </mat-form-field>

        <mat-form-field
          floatLabel="always">
          <mat-label>Central Frequency</mat-label>
          <input
            matInput
            placeholder="Enter value..."
            formControlName="centralFrequency"
            min="{{centralFrequencyLimits.min}}"
            max="{{centralFrequencyLimits.max}}"
            title="The central frequency of the observation"
            (ngModelChange)="centralFrequencyChange()"
            required>
          <span matSuffix class="mat-form-field-suffix">MHz</span>
          <mat-error *ngIf="centralFrequency?.invalid">
            {{ getErrorMessage(centralFrequency) }}
          </mat-error>
        </mat-form-field>

        <mat-form-field
          floatLabel="always">
          <mat-label>Bandwidth</mat-label>
          <input
            matInput
            placeholder="118.52"
            formControlName="totalBandwidth"
            title="Total bandwidth"
            [readonly]="true">
          <span matSuffix class="mat-form-field-suffix" [class.disabled]="true">MHz</span>
          <mat-error *ngIf="totalBandwidth?.invalid">
            {{ getErrorMessage(totalBandwidth) }}
          </mat-error>
        </mat-form-field>

        <mat-form-field
          floatLabel="always">
          <mat-label>Channel Width</mat-label>
          <input
            matInput
            placeholder="14.5"
            formControlName="channelWidth"
            title="Channel width"
            [readonly]="true">
            <span matSuffix class="mat-form-field-suffix" [class.disabled]="true">kHz</span>
            <mat-error *ngIf="channelWidth?.invalid">
            {{ getErrorMessage(channelWidth) }}
          </mat-error>
        </mat-form-field>

        <mat-form-field
          floatLabel="always">
          <mat-label>Dispersion Measure</mat-label>
          <input
            matInput
            placeholder="Enter value..."
            formControlName="dispersionMeasure"
            required
            title="Dispersion measure"
            (ngModelChange)="paramChange()">
          <span matSuffix class="mat-form-field-suffix">pc/cm<sup>3</sup></span>
          <mat-error>
            {{ getErrorMessage(dispersionMeasure) }}
          </mat-error>
        </mat-form-field>
      </div>
      <div class="grid-item">
        <app-pss-results [lowPssResults]="lowPssResults"></app-pss-results>
      </div>
    </div>
  </form>
</main>
